# Written by WATO
# encoding: utf-8

####Default Biodec Service Notification configuration
extra_service_conf.setdefault('max_check_attempts', [])
extra_service_conf['max_check_attempts'] = [
  ( 5, [], ALL_HOSTS, ALL_SERVICES, {'comment': u'max_check_attempts for services'} ),
  ( 1, [], ALL_HOSTS, ['Uptime'], {'comment': u'max_check_attempts for Uptime service'} ),
] + extra_service_conf['max_check_attempts']

extra_service_conf.setdefault('retry_interval', [])
extra_service_conf['retry_interval'] = [
  ( 2.0, [], ALL_HOSTS, ALL_SERVICES, {'comment': u'Retry check intervals'} ),
] + extra_service_conf['retry_interval']

extra_service_conf.setdefault('notification_interval', [])
extra_service_conf['notification_interval'] = [
  ( 0, [], ALL_HOSTS, ALL_SERVICES, {'comment': u'notification_interval for service'} ),
] + extra_service_conf['notification_interval']

extra_service_conf.setdefault('first_notification_delay', [])
extra_service_conf['first_notification_delay'] = [
  ( 0, [], ALL_HOSTS, ALL_SERVICES, {'comment': u'first_notification_delay for service'} ),
] + extra_service_conf['first_notification_delay']



####Default Biodec Host Notification configuration
extra_host_conf.setdefault('max_check_attempts', [])
extra_host_conf['max_check_attempts'] = [
  ( 5, [], ALL_HOSTS, {'comment': u'max_check_attempts for host'} ),
] + extra_host_conf['max_check_attempts']

extra_host_conf.setdefault('retry_interval', [])
extra_host_conf['retry_interval'] = [
  ( 2.0, [], ALL_HOSTS, {'comment': u'Retry check interval for host'} ),
] + extra_host_conf['retry_interval']

extra_host_conf.setdefault('notification_interval', [])
extra_host_conf['notification_interval'] = [
  ( 0, [], ALL_HOSTS, {'comment': u'notification_interval for host'} ),
] + extra_host_conf['notification_interval']

extra_host_conf.setdefault('first_notification_delay', [])
extra_host_conf['first_notification_delay'] = [
  ( 0, [], ALL_HOSTS, {'comment': u'first_notification_delay for host'} ),
] + extra_host_conf['first_notification_delay']

